# Consulta Agendamentos

[![pipeline status](https://gitlab.com/villalabs/pucminas/arquitetura-software-distribuido/sasci/consultar-agendamento/badges/master/pipeline.svg)](https://gitlab.com/villalabs/pucminas/arquitetura-software-distribuido/sasci/consultar-agendamento/-/commits/master)

### Requirements

* JDK 11

### Executing

Using Spring-Boot maven plugin
~~~sh
$ sh ./mvnw spring-boot:run
~~~

Using Jar
~~~sh
$ sh ./mvnw package
$ java -jar consulta-{version}.jar
~~~

### Reference Documentation
For further reference, please consider the following sections:

* [Official Apache Maven documentation](https://maven.apache.org/guides/index.html)
* [Spring Boot Maven Plugin Reference Guide](https://docs.spring.io/spring-boot/docs/2.4.4/maven-plugin/reference/html/)
* [Create an OCI image](https://docs.spring.io/spring-boot/docs/2.4.4/maven-plugin/reference/html/#build-image)
* [Spring Boot DevTools](https://docs.spring.io/spring-boot/docs/2.4.4/reference/htmlsingle/#using-boot-devtools)
* [Spring Web](https://docs.spring.io/spring-boot/docs/2.4.4/reference/htmlsingle/#boot-features-developing-web-applications)
* [Spring Boot Actuator](https://docs.spring.io/spring-boot/docs/2.4.4/reference/htmlsingle/#production-ready)

### Guides
The following guides illustrate how to use some features concretely:

* [Building a RESTful Web Service](https://spring.io/guides/gs/rest-service/)
* [Serving Web Content with Spring MVC](https://spring.io/guides/gs/serving-web-content/)
* [Building REST services with Spring](https://spring.io/guides/tutorials/bookmarks/)
* [Building a RESTful Web Service with Spring Boot Actuator](https://spring.io/guides/gs/actuator-service/)
